[5.4] Mise à jour Plugins

voici ma liste des erreurs constaté avec la mise a jour des Plugins depuis le Plugins plxMyPluginDownloader
########################
Mise a jour CKEditor 4.4.7 (téléchargé depuis GitHub Pluxopolis)
apres avoir pressé le bouton en rouge Mise à jour --> message Téléchargement et installation du plugin effectuée avec succès mais j'ai toujours la vielle version,

et ainsi avec tous les autres plugins le buton mise a jour reste en rouge
#######################

Réponses

  • StéphaneStéphane Membres, Ancien responsable de PluXml
    Attention si tu as récupéré le plugin sur pluxopolis, la version en attente de PluXml 5.4, il faut faire l'install manuellement sans passer par plxMyPluginDownloader, car lui télécharge les versions officielles, donc non compatible avec la 5.4 (pour le moment en tout cas).

    voici la démarche conseillée:

    1) télécharge le zip du plugin qui t'intéresse sur https://github.com/Pluxopolis?tab=repositories à partir du bouton "Download zip"
    2) décompresse le .zip dans le dossier /plugins pour écraser les anciens fichiers du plugin, en t'assurant apres que les points signalés ici sont vérifiés: http://pluxopolis.net/myplugins#problem
    3) repasse par l'écran de config du plugin pour vérifier le paramétrage et le compléter si besoin. Je recommande dans tous les cas d'enregistrer les paramètres même si rien ne change histoire de remettre à niveau le fichier de config du plugin.

    après devrait y avoir du mieux

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • DudyDudy Membres
    ok Stephane pour le manuel javais deja pensé que je devais faire comme tu conseil mais
    je vais quand même bien expliqué ce que suit pour la suite :
    si on telecharge les Plugins depuis plxMyPluginDownloader il ne s'installe pas parce que les dossiers ont les numéros de versions a coté comme par exemple
    CKEditor-4.4.7
    plxMyBettersUrls-1.4.1 etc etc

    en ayant un nom different il n'ecrase pas les vieux dossiers

    je crois d'avoir déjà lu quelque chose concernant ce problème
  • DudyDudy Membres
    ok c est tout bon pour CKEditor
    "Ne pas oublier de vider la cache apres avoir activé le plugin"
  • StéphaneStéphane Membres, Ancien responsable de PluXml
    Dudy a écrit:
    ok Stephane pour le manuel javais deja pensé que je devais faire comme tu conseil mais
    je vais quand même bien expliqué ce que suit pour la suite :
    si on telecharge les Plugins depuis plxMyPluginDownloader il ne s'installe pas parce que les dossiers ont les numéros de versions a coté comme par exemple
    CKEditor-4.4.7
    plxMyBettersUrls-1.4.1 etc etc

    en ayant un nom different il n'ecrase pas les vieux dossiers

    je crois d'avoir déjà lu quelque chose concernant ce problème

    ok, je vais regarder alors, je n'avais pas compris le problème. Mais effectivement il me semble que ce souci a déjà évoqué par d'autres utilisateurs.

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • DudyDudy Membres
    juin 2015 modifié
    oui je crois que Jérôme est entrain de faire quelque chose

    on attends...
  • je-evrardje-evrard Membres
    juin 2015 modifié
    Salut les gars,
    Stef a écrit:
    ok, je vais regarder alors, je n'avais pas compris le problème. Mais effectivement il me semble que ce souci a déjà évoqué par d'autres utilisateurs.
    C'est a cause de la fonction rename qui ne marche pas quand le plugin est installé. Pour Spxplugindownloader (ici) J'utilise une autre méthode en renommant le dossier du plugin en cours temporairement et si tout se passe bien je le supprime sinon je remt tout en place et ça marche pas mal (pas trop de plainte sur les 250 téléchargements). Voir ci-dessous.
    [== Indéfini ==]
    # rename old plugin
    	if (file_exists(realpath(PLX_PLUGINS.$plugName))) {
    		rename(PLX_PLUGINS.$plugName , PLX_PLUGINS.$plugName.".tmp");
    	}
    		
    # dezippage de l'archive
    	require_once(PLX_PLUGINS."spxplugindownloader/dUnzip2.inc.php");
    	$zip = new dUnzip2($zipfile); // New Class : arg = fichier à dézipper
    	$zip->unzipAll(PLX_PLUGINS, "", true, 0755); // Unzip All  : args = dossier de destination
    
    # on renomme le dossier extrait
    # does not work for xx.1.0.zip/xx/ structure
    	rename(PLX_PLUGINS.$plugName.'-'.str_replace('.zip', '', basename($file)), PLX_PLUGINS.$plugName);
    
    # on supprimer le fichier .zip
    	unlink($zipfile);
    
    # on teste si le dézippage semble ok par la présence du fichier infos.xml du plugin
    	if(!is_file(PLX_PLUGINS.$plugName.'/infos.xml')){
    		plxMsg::Error($plxPlugin->getLang('L_ERR_INSTALL'));
    		rename(PLX_PLUGINS.$plugName.".tmp", PLX_PLUGINS.$plugName);
    	}else{
    	
    		if (file_exists(realpath(PLX_PLUGINS.$plugName.".tmp"))) {
    			spxplugindownloader::deleteDir (realpath(PLX_PLUGINS.$plugName.".tmp"));
    		}
    			
    		plxMsg::Info($plxPlugin->getLang('L_INSTALL_OK'));
    	}
    
    Duddy a écrit:
    oui je crois que Jérôme est entrain de faire quelque chose

    Tu as testé duddy le Spxplugindownloader pour les plugins de stef ?

    a+

    jeje
  • StéphaneStéphane Membres, Ancien responsable de PluXml
    Jérome si ça fonctionne bien chez toi, n'hésite pas à l'adapter pour plxMyPluginDownloader et de faire un pull request sur le github pluxopolis.
    Merci

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • OK stef je fais ça dès que possible.
  • DudyDudy Membres
    Salut Jerome

    no mais je vais faire un test avec Spxplugindownloader

    merci ciao
  • DudyDudy Membres
    j ai fait un test avec Pluxml version 5.4 Beta et Spxplugindownloader et tous cest bien passé ;) les plugins ce mets a jour sans souci
  • OK duddy merci.

    Il y a des soucis d'affichage avec la nouvelle version, je vais voir ça de près.
  • Stéphane a écrit:
    Jérome si ça fonctionne bien chez toi, n'hésite pas à l'adapter pour plxMyPluginDownloader et de faire un pull request sur le github pluxopolis.
    Merci
    Salut Stéphane,

    Tu as déjà des "pull request" concernant ce problème.
Connectez-vous ou Inscrivez-vous pour répondre.